org.eclipse.graphiti.mm.util

## Class MmAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.graphiti.mm.util.MmAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

    public class MmAdapterFactory
    extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `MmPackage`

### Constructor Summary

Constructors
Constructor and Description
`MmAdapterFactory()` Creates an instance of the adapter factory.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.emf.common.notify.Adapter` `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` `createGraphicsAlgorithmContainerAdapter()` Creates a new adapter for an object of class '`Graphics Algorithm Container`'.
`org.eclipse.emf.common.notify.Adapter` `createPropertyAdapter()` Creates a new adapter for an object of class '`Property`'.
`org.eclipse.emf.common.notify.Adapter` `createPropertyContainerAdapter()` Creates a new adapter for an object of class '`Property Container`'.
`org.eclipse.emf.common.notify.Adapter` `createStyleContainerAdapter()` Creates a new adapter for an object of class '`Style Container`'.
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

`adapt, adapt, adaptAllNew, adaptNew`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MmAdapterFactory

    public MmAdapterFactory()

Creates an instance of the adapter factory.

### Method Detail

#### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

Specified by:
  `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
Overrides:
  `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
Returns:
  whether this factory is applicable for the type of the object.

#### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

Creates an adapter for the `target`.

Overrides:
  `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
Parameters:
  `target` - the object to adapt.
Returns:
  the adapter for the `target`.

#### createPropertyAdapter

    public org.eclipse.emf.common.notify.Adapter createPropertyAdapter()

Creates a new adapter for an object of class '`Property`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `Property`

#### createGraphicsAlgorithmContainerAdapter

    public org.eclipse.emf.common.notify.Adapter createGraphicsAlgorithmContainerAdapter()

Creates a new adapter for an object of class '`Graphics Algorithm Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `GraphicsAlgorithmContainer`

#### createPropertyContainerAdapter

    public org.eclipse.emf.common.notify.Adapter createPropertyContainerAdapter()

Creates a new adapter for an object of class '`Property Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `PropertyContainer`

#### createStyleContainerAdapter

    public org.eclipse.emf.common.notify.Adapter createStyleContainerAdapter()

Creates a new adapter for an object of class '`Style Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `StyleContainer`

#### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

Creates a new adapter for the default case. This default implementation returns null.

Returns:
  the new adapter.